Semantic Parser with Execution
Clone or download
Pull request Compare This branch is 118 commits ahead, 8 commits behind percyliang:master.
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
demo-www
freebase
interactive
non-maven-deps
parser
unittest-files
.gitattributes
.gitignore
DOCUMENTATION.md
LICENSE.txt
README.md
TUTORIAL.md
build.xml
config.properties
pom.xml
quick_run.sh
run
testng.xml

README.md

ROBOY SEMANTIC PARSER

Semantic Parser based on SEMPRE.

Installation

Requirements

You must have the following already installed on your system.

  • Java 8 (not 7)
  • Maven
  • Ruby 1.8.7 or 1.9
  • wget
  • make (for compiling fig and Virtuoso)
  • zip (for unzip downloaded dependencies)

Other dependencies will be downloaded as you need them. SEMPRE has been tested on Ubuntu Linux 12.04 and MacOS X. Your mileage will vary depending on how similar your system is.

Build

In order to build application with all needed dependencies run:

mvn clean install

Run

Running the NLU module requires resources that are currently stored in the roboy_dialog parent repository. Please run it from this repository.